> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a component from a produto (kit)

> Permanently removes a component link from a KIT product.

Permanently removes a component link from a KIT produto.

## Parâmetros de Rota (Path)

<ParamField path="productId" type="string" required={true}>UUID of the parent produto (kit)</ParamField>

<ParamField path="componentId" type="string" required={true}>UUID do Componente a ser removido</ParamField>


## OpenAPI

````yaml delete /products/{productId}/components/{componentId}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /products/{productId}/components/{componentId}:
    delete:
      tags:
        - Product Components
      summary: Remove a component from a product (kit)
      description: Permanently removes a component link from a KIT product.
      operationId: ProductComponentsController_remove
      parameters:
        - name: productId
          required: true
          in: path
          description: UUID of the parent product (kit)
          schema:
            type: string
        - name: componentId
          required: true
          in: path
          description: UUID of the component record to remove
          schema:
            type: string
      responses:
        '204':
          description: Component successfully removed
        '404':
          description: Component not found

````